[![Code coverage](https://gitlab.com/playscale-free/authenticator/badges/master/coverage.svg?job=test)](https://gitlab.com/playscale-free/authenticator/pipelines/latest)
[![Pipeline stateus](https://gitlab.com/playscale-free/authenticator/badges/master/pipeline.svg)](https://gitlab.com/playscale-free/authenticator/pipelines/latest)

[![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://gitlab.com/playscale-free/authenticator/blob/master/LICENSE)

# Flutter package: Vonage

A [Vonage authentication package](https://pub.dev/packages/vonage) (formerly Nexmo and TokBox), growing startups and agile enterprises can build best-in-class communications solutions at scale. Our global platform, comprehensive suite of communications channels, and expert support help you move quickly to offer your customers the most helpful experience possible, sooner rather than later.
## Short and sweet (TLDR;)

```dart
Vonage vonage = Vonage(apiKey: "apiKey", apiSecret :"apiSecret");
var response = await vonage.verify(phoneNumber: "+40938838333", brandName : "brandName", codeLength: 4);
print(response);
```

## Full documentation

Documentation generated by dartdoc can be found [here](https://github.com/ologunb/vonage).

## Getting started

First, the if the app will be using Vonage, then you would create  
an account on [Vonage](https://dashboard.nexmo.com/sign-up)to get a Auth key and Secret which  
will be used in verifying users


Follow the instructions on the website to get started and some funds will be allocated to you

Setting those up will likely be take some time

Add vonage to your pubspec.yaml file as a dependency. For
example, to use vonage from the master branch in this repo,
add `vonage` to the dependencies section, like so:

```yaml
environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  vonage: ^0.0.6
```

## Using Vonage

The example folder contains a bare-bones app that includes Vonage sign in code.  
The example will not run on a device platform, The example DOES run under  
the flutter test framework, so to see it in action, attach a debugger and run the test.
