library vonage;

import 'package:dio/dio.dart';

class Vonage {
  String apiKey;
  String apiSecret;

  Vonage({this.apiKey, this.apiSecret});

  Future verify({String phoneNumber, String brandName, int codeLength}) async {
    try {
      String _baseUrl =
          "https://api.nexmo.com/verify/json?api_key=$apiKey&api_secret=$apiSecret&number=$phoneNumber &brand=$brandName&code_length=$codeLength";
      var options = Options(
          followRedirects: false,
          validateStatus: (status) => status < 500,
          headers: {"Content-Type": "application/json", "Connection": 'keep-alive'});

      var response = await Dio().get(_baseUrl, options: options);

      if (response.statusCode == 200) {
        return "Success";
      } else {
        return "Failed";
      }
    } catch (e) {
      return "Network Issues";
    }
  }
}
